Problème de résolution sur un des deux écrans

11 replies [Last post]
nmrk.n
Offline
Joined: 11/01/2013

Bonjour,

"Paramètres système" > "Écrans" me dit :

À gauche : RIS 23" 1920X1080 (16:9)

À droite : HKC 22" 1920x1080 (16/9)

Mais visiblement c'est faux pour l'écran de droite pour lequel j'ai une large bande noire de chaque côté et ne suis visiblement pas en 1920x1080 (16/9) puisque la zone d'affichage effectif est carrée et déformée.

Et chose bizarre j'ai voulu faire une capture d'écran pour vous monter mais la capture d'écran est normale, pas de bandes noires et affichage rectangulaire !

?

Merci.

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

Cet écran n’a-t-il pas une configuration « propre » (indépendante du système qui y est connecté, par exemple avec des boutons sous ou sur le côté de l'écran) ? Si oui, as-tu essayé de la modifier ?

nmrk.n
Offline
Joined: 11/01/2013

Peut-être, mais je ne sais pas comment je pourrais le faire.

Autre information :

Ça ne le fait pas avec une Mageia (même machine, mêmes écrans, seule différence à priori : cette Trisquel n'est pas sur un disque SATA mais sur un disque USB).

merci

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

Les différences de version du noyau, du serveur X, etc. sont certainement plus à même d’expliquer pourquoi Meigeia supporte bien ton écran mais Trisquel non.

À ta place j’essaierais d’installer le paquet « linux-generic-hwe-8.0 » (dans le dépôt Trisquel), voire un noyau 4.19 ou 4.20 empaqueté par jxself en suivant ses instructions sur https://jxself.org/linux-libre/

Tu peux aussi essayer d’installer « xserver-xorg-hwe-16.04 » (dans le dépôt Trisquel).

nmrk.n
Offline
Joined: 11/01/2013

Merci pour ces pistes.

Il se trouve par ailleurs que sur l'écran concerné les messages de boot s'affichent avec des bandes noires aussi bien pour Mageia que pour Trisquel mais pour Mageia ça redevient normal lorsque le boot est terminé d'où la question :

Est-ce que ça ne pourrait pas venir de GRUB et si oui quelle serait la solution ?

merci.

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

Bah non justement. Un chargeur de démarrage doit inclure, de façon basique, certaines fonctionnalités d’un noyau mais, ensuite, c’est le noyau démarré qui prend le relais. As-tu essayé de mettre à jour le noyau, voire le serveur X, comme je te le suggérais ?

nmrk.n
Offline
Joined: 11/01/2013

J'ai oublié de préciser Trisquel 7
Est-ce que ça change quelque chose dans tes préconisations ?

Actuellement :

think@Penguin-Pro5:~/Bureau$ uname -a
Linux Penguin-Pro5 3.13.0-165-lowlatency #215+7.0trisquel3 SMP PREEMPT Mon Feb 4 22:19:13 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
think@Penguin-Pro5:~/Bureau$

nmrk.n
Offline
Joined: 11/01/2013

J'ai sauté sans parachute mais c'est semble-t-il résolu puisque l'affichage est devenu normal avec :

think@Penguin-Pro5:~/Bureau$ uname -a
Linux Penguin-Pro5 4.4.0-93-lowlatency #116~14.04.1+7.0trisquel1 SMP PREEMPT Mon Aug 28 17:34:47 UTC 20 x86_64 x86_64 x86_64 GNU/Linux
think@Penguin-Pro5:~/Bureau$

Mais je ne comprends pas trop ce qu'il faut sélectionner quand on veut installer un nouveau noyau avec Synaptic ?

Dans Synaptic j'ai au final 6 lignes pour le 3.13 et seulement 3 lignes pour le 4.4 ?

Cf. fichier joint.

merci.

Il reste que GRUB me met toujours des bandes noires de chaque côté pendant l'affichage des messages de boot ?

Ce n'est pas très grave mais je préfèrerais quand même qu'il utilise tout l'écran ...

Capture du 2019-02-28 03:10:47-forum.png
Magic Banana

I am a member!

Offline
Joined: 07/24/2010

C’est que l’installation d’un nouveau noyau ne remplace pas l’ancien, au cas où le nouveau poserait problème avec ton matériel. Tu n’as donc pas sauté sans parachute : tu pouvais toujours démarrer le noyau précédent depuis le chargeur de démarrage, GRUB.

Une fois ton matériel testé quelque temps, et si tout va bien, tu peux supprimer tous les paquets se référant à la version 3.13 du noyau. Aussi, tu n’as probablement pas besoin des entêtes (« headers »), qui servent avant tout à l’installation de pilote qui ne serait pas dans le noyau.

Pour GRUB, tu peux essayer de définir la variable GRUB_GFXMODE dans /etc/default/grub (à modifier avec les droits d’administration, par exemple avec 'gksu pluma /etc/default/grub) puis exécuter 'sudo update-grub'.

Enfin : tu devrais mettre à jour ta distribution vers Trisquel 8. Dans un gros mois, Trisquel 7 ne recevra plus de mise à jour (y compris de sécurité).

nmrk.n
Offline
Joined: 11/01/2013

Il suffit donc dans Synaptic de sélectionner seulement une ligne linux-image- ... pour installer un nouveau noyau et je peux supprimer tous les "headers" ?

Pourquoi y a-t-il pour le 3.13 linux-image-lowlatency et linux-lowlatency et linux-image-3.13.0-165-lowlatency ?

Pour GRUB je verrai cela à l'occasion. merci.

Est-ce que pour le passage à Trisquel 8 il est possible de faire une mise à jour à partir de Trisquel 7 ou bien est-ce qu'il faut faire une nouvelle installation à partir de zéro ?

J'espère que Trisquel 8 n'est pas en design plat par défaut car je ne supporte pas ! :-(

merci encore MB

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

Il suffit donc dans Synaptic de sélectionner seulement une ligne linux-image- ... pour installer un nouveau noyau et je peux supprimer tous les "headers" ?

Oui.

Pourquoi y a-t-il pour le 3.13 linux-image-lowlatency et linux-lowlatency et linux-image-3.13.0-165-lowlatency ?

C’est par ce « mécanisme » qu’une mise à jour du noyau ne remplace pas la précédente : un nouveau paquet est créé à chaque nouvelle version (par exemple « linux-image-3.13.0-165-lowlatency » est la 165ᵉ version du noyau 3.13.0) et un paquet qui dépend toujours de la dernière version disponible (par exemple « linux-lowlatency ») pour que, s’il est installé, APT propose la mise à jour à l’utilisateur.

Ces mises à jour ne sont que des mises à jour d’une version fixe du noyau. 3.13 dans le cas de Trisquel 7. 4.4 dans le cas de Trisquel 8. En passant à une version différente de celle par défaut, tu ne veux probablement plus recevoir les mises à jour de la version par défaut. Tu ne veux donc plus « linux-lowlatency ».

Au passage : je sais que Trisquel 7 venait par défaut un noyau à faible latence mais c’est un choix curieux. Si tu ne fais pas de MAO ou n’a pas d’autre besoin spécifique, tu veux probablement un noyau « generic ».

Est-ce que pour le passage à Trisquel 8 il est possible de faire une mise à jour à partir de Trisquel 7 ou bien est-ce qu’il faut faire une nouvelle installation à partir de zéro ?

Elle est possible. Le « Gestionnaire de mises à jour » ne te la propose-t-elle pas ? C’est peut-être que tu as demandé de ne jamais être notifié d’une mise à jour de Trisquel. Cela se règle dans les « Paramètres système ». Un utilitaire qui s’appelle « Logiciels & mises à jour », ou quelque chose du genre.

Voilà une capture d’écran du bureau par défaut dans Trisquel 8 : https://trisquel.info/files/screenshots/flidas_desktop.jpg

nmrk.n
Offline
Joined: 11/01/2013

Merci pour toutes ces précisions.